curl --request POST \
--url https://platform.versori.com/api/embedded/v1/hubs/{hub_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "<string>",
"primaryConnection": {
"name": "<string>",
"credentials": {
"action": [
{
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"name": "<string>",
"data": {}
}
}
],
"trigger": [
{
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"name": "<string>",
"data": {}
}
}
]
},
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"displayName": "<string>"
}
'import requests
url = "https://platform.versori.com/api/embedded/v1/hubs/{hub_id}/users"
payload = {
"externalId": "<string>",
"primaryConnection": {
"name": "<string>",
"credentials": {
"action": [
{
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": ["<string>"]
}
]
},
"credential": {
"name": "<string>",
"data": {}
}
}
],
"trigger": [
{
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": ["<string>"]
}
]
},
"credential": {
"name": "<string>",
"data": {}
}
}
]
},
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"displayName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
primaryConnection: {
name: '<string>',
credentials: {
action: [
{
authSchemeConfig: {
id: '<string>',
description: '<string>',
schemeType: '<string>',
validationMessages: [{text: '<string>', detail: ['<string>']}]
},
credential: {name: '<string>', data: {}}
}
],
trigger: [
{
authSchemeConfig: {
id: '<string>',
description: '<string>',
schemeType: '<string>',
validationMessages: [{text: '<string>', detail: ['<string>']}]
},
credential: {name: '<string>', data: {}}
}
]
},
variables: [{name: '<string>', value: '<string>'}]
},
displayName: '<string>'
})
};
fetch('https://platform.versori.com/api/embedded/v1/hubs/{hub_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"hubId": "<string>",
"primaryConnection": {
"id": "<string>",
"name": "<string>",
"credentials": {
"action": [
{
"id": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"data": {},
"usages": [
{
"connection": {
"id": "<string>",
"name": "<string>",
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"errors": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"trigger": [
{
"id": "<string>",
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"data": {},
"usages": [
{
"connection": {
"id": "<string>",
"name": "<string>",
"connector": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"errors": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
}
]
},
"variables": [
{
"name": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Create an End User
CreateEndUser creates a new End User for the given Hub.
The end user requires a unique externalId which is recommended to be the same as the user’s ID on the
Primary Connector for the Hub. This is an immutable field so should not be set to something that may change
such as an email address.
Before an end user can activate an Integration, they must also have a Connection defined for the Primary Connector. This may be created as part of this request, a separate request to CreateConnection, or as part of the request in the first Activate call.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Request to create a new End User
ExternalID is the identifier of the user as identified in the Hub's primary connector/system.
PrimaryConnection is the connection that the user will use to authenticate to the primary connector.
Show child attributes
Show child attributes
DisplayName is a human-readable name for the user
Response
Created
ID is the Versori identifier for the user. Most APIs will not use this field but instead reference users by their externalId.
ExternalID is the identifier for the user as determined by the organisation. This typically should be the same as the user's ID on the Primary Connector for the Hub. Regardless of the value, it must be unique within the Hub.
DisplayName is an optional human-readable name for the user. If not set, the default is an empty string.
The hub ID to which the user belongs to.
PrimaryConnection is the connection that the user will use to authenticate to the primary connector.
Show child attributes
Show child attributes
CreatedAt is the time the user was created.
UpdatedAt is the time the user was last updated.